Page MenuHomePhabricator

Reliable scheduler computes Visual Editor metrics [21 pts] {lion}
Closed, ResolvedPublic

Description

This script: https://github.com/wikimedia/analytics-limn-edit-data/blob/master/edit/save_rates_low_noise.sql (terrible name) needs to run every day, in a reliable way. It should be rerun if it missed a run and it should be re-runnable for one or more of the days it already ran, just in case we change the logic or had bad data (backfilling etc.)

Write side script that gets called by generate.py and schedules VE metrics.
It should focus on reliability, consistent logging, monitoring.

  • rerunning days specified (specified how?)
  • rerunning failed / missed days (by hand or by identifying what days have not run)
  • we should be able to easily turn it off/on

Make sure generate.py doesn't fork to the new VE metric schedule for other teams (language, mobile, etc)

  • edit the config.yaml from the limn-edit-data/edit

Event Timeline

Milimetric claimed this task.
Milimetric raised the priority of this task from to Needs Triage.
Milimetric updated the task description. (Show Details)
Milimetric added a project: Analytics-Kanban.
Milimetric moved this task to Next Up on the Analytics-Kanban board.
Milimetric added a subscriber: Milimetric.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2015, 3:41 PM
kevinator renamed this task from Reliable scheduler computes Visual Editor metrics to Reliable scheduler computes Visual Editor metrics {bear}.Feb 12 2015, 2:12 AM
kevinator triaged this task as Normal priority.
kevinator set Security to None.
ggellerman reassigned this task from Milimetric to mforns.Feb 12 2015, 3:27 PM
ggellerman moved this task from Next Up to In Progress on the Analytics-Kanban board.
kevinator raised the priority of this task from Normal to High.Feb 12 2015, 3:49 PM
kevinator renamed this task from Reliable scheduler computes Visual Editor metrics {bear} to Reliable scheduler computes Visual Editor metrics [21 pts] {bear}.Feb 12 2015, 4:14 PM
kevinator updated the task description. (Show Details)
kevinator renamed this task from Reliable scheduler computes Visual Editor metrics [21 pts] {bear} to Reliable scheduler computes Visual Editor metrics [21 pts] {lion}.Feb 19 2015, 2:08 AM

Change 192319 had a related patch set uploaded (by Mforns):
[WIP]

https://gerrit.wikimedia.org/r/192319

Patch-For-Review

remaining work:

  • quick fix to logging
  • test against real DB
  • call this from inside generate.py
  • documentation (readme and wikipage)

Change 192319 merged by Milimetric:
Add reportupdater: a more reliable scheduler

https://gerrit.wikimedia.org/r/192319

Change 197318 had a related patch set uploaded (by Mforns):
Add config to run funnel_failure_rates_by_type

https://gerrit.wikimedia.org/r/197318

Change 197319 had a related patch set uploaded (by Mforns):
Make row assignable

https://gerrit.wikimedia.org/r/197319

Change 197318 merged by Milimetric:
Add config to run funnel_failure_rates_by_type

https://gerrit.wikimedia.org/r/197318

Change 197319 merged by Milimetric:
Make row assignable

https://gerrit.wikimedia.org/r/197319

It seems that the reportupdater (aka scheduler) is working properly.
However, the data is not good enough yet.
And as we will see a new Edit schema version in short, I'll wait till then to change the table name in the report config.
So I'd say this task is blocked for now.

mforns moved this task from Paused to In Progress on the Analytics-Kanban board.Mar 27 2015, 5:47 PM

Change 200239 had a related patch set uploaded (by Mforns):
[WIP] Add support for wiki explosion and others.

https://gerrit.wikimedia.org/r/200239

Change 200239 merged by Mforns:
Add support for wiki explosion and others.

https://gerrit.wikimedia.org/r/200239

Change 202033 had a related patch set uploaded (by Mforns):
Adjust config to run reportupdater

https://gerrit.wikimedia.org/r/202033

Change 202036 had a related patch set uploaded (by Mforns):
Fix bug in wiki.txt file path

https://gerrit.wikimedia.org/r/202036

Change 202033 merged by Mforns:
Adjust config to run reportupdater

https://gerrit.wikimedia.org/r/202033

Change 202036 merged by Mforns:
Fix bug in wiki.txt file path

https://gerrit.wikimedia.org/r/202036

Change 202067 had a related patch set uploaded (by Mforns):
Change output folder

https://gerrit.wikimedia.org/r/202067

Change 202249 had a related patch set uploaded (by Mforns):
Add support for reportupdater separate output folder

https://gerrit.wikimedia.org/r/202249

Change 202067 merged by Mforns:
Change output folder and start dates

https://gerrit.wikimedia.org/r/202067

Change 202249 merged by Mforns:
Add support for reportupdater separate output folder

https://gerrit.wikimedia.org/r/202249

mforns closed this task as Resolved.Apr 7 2015, 3:43 PM